org.apache.hadoop.yarn.api.records

## Enum ApplicationTimeoutType

- java.lang.Object
- - java.lang.Enum<ApplicationTimeoutType>
  - - org.apache.hadoop.yarn.api.records.ApplicationTimeoutType

- All Implemented Interfaces:
    Serializable, Comparable<ApplicationTimeoutType>

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public enum ApplicationTimeoutType
      extends Enum<ApplicationTimeoutType>

  Application timeout type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LIFETIME` Timeout imposed on overall application life time.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplicationTimeoutType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApplicationTimeoutType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LIFETIME

          public static final ApplicationTimeoutType LIFETIME

      Timeout imposed on overall application life time. It includes actual run-time plus non-runtime. Non-runtime delays are time elapsed by scheduler to allocate container, time taken to store in RMStateStore and etc.

      If this is set, then timeout monitoring start from application submission time.

  - ### Method Detail

    - #### values

          public static ApplicationTimeoutType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApplicationTimeoutType c : ApplicationTimeoutType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApplicationTimeoutType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 Apache Software Foundation. All rights reserved.